summaryrefslogtreecommitdiffstats
path: root/karm/test/bug94447.sh
diff options
context:
space:
mode:
Diffstat (limited to 'karm/test/bug94447.sh')
-rwxr-xr-xkarm/test/bug94447.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/karm/test/bug94447.sh b/karm/test/bug94447.sh
new file mode 100755
index 00000000..fa163735
--- /dev/null
+++ b/karm/test/bug94447.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+# Create files relative to current directory if no "/" prefix
+# in file name given on command line
+
+exec >>check.log 2>&1
+
+TESTFILE="testkarm.ics"
+TESTTODO="testtodo"
+
+source __lib.sh
+
+set_up
+
+# make karm create the file.
+dcop $DCOPID KarmDCOPIface addtodo "$TESTTODO"
+
+RVAL=1
+if [ -e $TESTFILE ]; then RVAL=0; fi
+
+tear_down
+
+if [ $RVAL -eq 0 ]
+then
+ echo "PASS $0"
+ exit 0
+else
+ echo "FAIL $0"
+ exit 1
+fi